{#
    LimeSurvey
    Copyright (C) 2007-2017 The LimeSurvey Project Team / Louis Gac
    All rights reserved.
    License: GNU/GPL License v2 or later, see LICENSE.php
    LimeSurvey is free software. This version may have been modified pursuant
    to the GNU General Public License, and as distributed it includes or
    is derivative of works licensed under the GNU General Public License or
    other free or open source software licenses.
    See COPYRIGHT.php for copyright notices and details.

    (¯`·._.·(¯`·._.· Submit Content  ·._.·´¯)·._.·´¯)

    This page is displayed after user submits the survey.
    It could be, visually, very different (no header, etc).

    It shows the end text, assessments, print answer, and statistics.

    Data are in: aSurveyInfo.aCompleted and aSurveyInfo.aAssessments.
    To show this data, turn debug mode on and copy the following line to the end of the <body> element in this file:
    {{ dump(aSurveyInfo.aCompleted ) }}

    NOTE: This content is included inside mainrow.twig
    NOTE: see layout_global.twig for more infos
#}

{# include the form opening tag #}
<!-- main form -->
{{ include('./subviews/header/start_form.twig') }}
    {# This will display the script and the hidden inputs needed for ExpressionScript Engine #}
    {{ aSurveyInfo.EM.ScriptsAndHiddenInputs  }}
    <div class="{{ aSurveyInfo.class.submitwrapper }}" {{ aSurveyInfo.attr.submitwrapper }}>
        <div class='{{ aSurveyInfo.class.submitwrappertext }}' {{ aSurveyInfo.attr.submitwrappertext }}>
            {% block endtext %}
            {% if (aSurveyInfo.aCompleted.showDefault == true) %}
                <p {{ aSurveyInfo.attr.submitwrappertextpa }}>{{ gT("Thank you!") }}</p>
                <p {{ aSurveyInfo.attr.submitwrappertextpb }}>{{ gT("Your survey responses have been recorded.") }}</p>
            {% else %}
                {{ aSurveyInfo.aCompleted.sEndText }}
            {% endif %}
            {% endblock %}

            {% block assessments %}
            {# Assessments #}
            {% if (aSurveyInfo.aAssessments.show) %}
                {{ include('./subviews/messages/assessments.twig') }}
            {% endif %}
            {% endblock %}

            {% block printanswer %}
            {#  Link to Print Answer Preview #}
            {% if (aSurveyInfo.aCompleted.aPrintAnswers.show == true) %}
                <!--  Link to Print Answer Preview -->
                <div class="{{ aSurveyInfo.class.submitwrapperdiva }}" {{ aSurveyInfo.attr.submitwrapperdiv }}>
                    <a href="{{ aSurveyInfo.aCompleted.aPrintAnswers.sUrl }}" title={{ aSurveyInfo.aCompleted.aPrintAnswers.sTitle }} class="{{ aSurveyInfo.class.submitwrapperdivaa }}" {{ aSurveyInfo.attr.submitwrapperdivaa }}>
                        {{ gT("Print your answers.") }}
                    </a>
                </div>
            {% endif %}
            {% endblock %}

            {% block publicstatistics %}
            {# Link to Public statistics #}
            {% if (aSurveyInfo.aCompleted.aPublicStatistics.show == true) %}
                <!-- Link to Public statistics -->
                <div class="{{ aSurveyInfo.class.submitwrapperdivb }}" {{ aSurveyInfo.attr.submitwrapperdivb }}>
                    <a href="{{ aSurveyInfo.aCompleted.aPublicStatistics.sUrl }}" title={{ aSurveyInfo.aCompleted.aPublicStatistics.sTitle }} class="{{ aSurveyInfo.class.submitwrapperdivba }}" {{ aSurveyInfo.attr.submitwrapperdivba }}>
                        {{ gT("View the statistics for this survey.") }}
                    </a>
                </div>
            {% endif %}
            {% endblock %}

            {# Before LS3 Master, this should be replace by a Twig block logic #}
            {{ aSurveyInfo.aCompleted.sPluginHTML }}

            {% block endurl %}
            {# NOTE: not very clear what the old replacement keyword {URL} was doing  #}
            {% if (aSurveyInfo.aCompleted.sSurveylsUrl) %}
                <a href="{{ str_replace('"', '%22',aSurveyInfo.aCompleted.sSurveylsUrl) }}">{{ aSurveyInfo.aCompleted.sSurveylsUrlDescription }}</a>
            {% endif %}
            {% endblock %}
        </div>
    </div>
</form> <!-- main form -->
